GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
CPLMutexHolder Class Reference

Object to hold a mutex. More...

`#include <cpl_multiproc.h>`

## Public Member Functions
| CPLMutexHolder (CPLMutex **phMutex, double dfWaitInSeconds=1000.0, const char *pszFile=__FILE__, int nLine=__LINE__, int nOptions=CPL_MUTEX_RECURSIVE)
| Instantiates the mutex if not already done. More...
| CPLMutexHolder (CPLMutex *hMutex, double dfWaitInSeconds=1000.0, const char *pszFile=__FILE__, int nLine=__LINE__)
| This variant assumes the mutex has already been created. More...

## Detailed Description

Object to hold a mutex.

## Constructor & Destructor Documentation

CPLMutexHolder::CPLMutexHolder | ( | CPLMutex ** | phMutex,
|  | double | dfWaitInSeconds = `1000.0`,
|  | const char * | pszFile = `__FILE__`,
|  | int | nLine = `__LINE__`,
|  | int | nOptions = `CPL_MUTEX_RECURSIVE`
| ) |  |

Instantiates the mutex if not already done.

CPLMutexHolder::CPLMutexHolder | ( | CPLMutex * | hMutex,
|  | double | dfWaitInSeconds = `1000.0`,
|  | const char * | pszFile = `__FILE__`,
|  | int | nLine = `__LINE__`
| ) |  |

This variant assumes the mutex has already been created.

If not, it will be a no-op

The documentation for this class was generated from the following files:

- cpl_multiproc.h
- cpl_multiproc.cpp

Generated for GDAL by 1.8.9.1.